%define realname gtk-sharp

Summary: GTK+ and GNOME bindings for Mono
Name: lib%{realname}2
Version: 2.10.0
Release: alt1.1
License: LGPL
Group: Development/Other
Packager: Mono Maintainers Team <mono@packages.altlinux.org>
Source: http://ftp.gnome.org/pub/GNOME/sources/%realname/2.10/%realname-%version.tar.bz2
Url: http://www.mono-project.com/
Requires: libglade libgtk+2 >= 2.10.0

BuildPreReq: libgtk+2-devel >= 2.10.0
BuildPreReq: glib2-devel >= 2.10.0
BuildPreReq: libglade-devel >= 2.3.6
BuildPreReq: rpm-build-mono perl-XML-LibXML
BuildRequires: /proc
# Automatically added by buildreq on Tue Oct 10 2006
BuildRequires: gcc-c++ mono-mcs monodoc 

%description
This package provides a library that allows you to build
fully native graphical GNOME applications using Mono. Gtk#
is a binding to GTK+, the cross platform user interface
toolkit used in GNOME. It includes bindings for Gtk, Atk,
Pango, Gdk, libgnome, libgnomeui and libgnomecanvas. Gtk#
2.10.x binds GTK+ 2.10.

%package gapi
Summary: Glib and GObject C source parser and C generator for the creation and maintenance of managed bindings for Mono and .NET
Group: Development/Other
Requires: %name = %version-%release

%description gapi
This package provides developer tools for the creation and
maintainance of managed bindings to native libraries which utilize
glib and GObject. Some examples of libraries currently bound using
the GAPI tools and found in Gtk# include Gtk, Atk, Pango, Gdk,
libgnome, libgnomeui and libgnomecanvas.

%package devel
Summary: .Net language bindings for Gtk+ and GNOME development files
Group: Development/Other
Requires: %name-gapi = %version-%release

%description devel
This package includes development files for the Gtk\# project
to parse and bind GObject libraries.

%package monodoc
Summary: %name documentation in monodoc format
Group: Development/Other
Requires: monodoc

%description monodoc
This package includes documentation in monodoc format for the Gtk\# project
for use with monodoc / monodoc Gtk# (from mono-tools) / monodevelop.

%prep
%setup -n %realname-%version -q

%build
%configure
%make

%install
%makeinstall

%files
%doc README COPYING ChangeLog
%prefix/lib/gtk-sharp-2.0
%exclude %prefix/lib/gtk-sharp-2.0/gapi*
%_monodir/gac/*
%_monodir/gtk-sharp-2.0
%_libdir/*.so

%files gapi
%_bindir/gapi2*
%prefix/lib/gtk-sharp-2.0/gapi*
%_pkgconfigdir/gapi-2.0.pc
%dir %_datadir/gapi-2.0

%files devel
%_pkgconfigdir/*
%exclude %_pkgconfigdir/gapi-2.0.pc
%_datadir/gapi-2.0/*.xml

%files monodoc
%_monodocdir/sources/*

%changelog
* Thu Nov 30 2006 Alexey Shabalin <shaba@altlinux.ru> 2.10.0-alt1.1
- rebuild with fixed rpm-build-mono

* Tue Oct 10 2006 Ildar Mulyukov <ildar@altlinux.ru> 2.10.0-alt1
- rpm-build-mono support
- spec cleanup

* Thu Mar 16 2006 Evgeny Sinelnikov <sin@altlinux.ru> 2.8.2-alt1
- Update to release

* Wed Feb 22 2006 Evgeny Sinelnikov <sin@altlinux.ru> 2.8.1-alt1
- Update to release

* Wed Nov 23 2005 Evgeny Sinelnikov <sin@altlinux.ru> 2.6.0-alt1
- Update to release

* Sat Oct 08 2005 Evgeny Sinelnikov <sin@altlinux.ru> 2.5.91-alt1
- Update to release

* Sat May 21 2005 Evgeny Sinelnikov <sin@altlinux.ru> 1.9.5-alt1
- Inital release for ALT
